Subject: Re: bug#76564: [RFE] (message) should be printing colors

From: Stefan Kangas <[email-masked]>
Date: Tue, 25 Feb 2025 23:20:49 +0000

severity 76564 wishlist
tags 76564 + confirmed
thanks

Konstantin Kharlamov <[email-masked]> writes:

> From what I see, both (print) and (message) print colored strings as
> non-colored lists in the minibuffer. In batch-mode this information
> gets stripped outright. I am not sure what was the reason for the
> design decision for batch mode to be different, but since it already
> is, let's please make that useful. A code like:
>
> 	(message (propertize "This is an error" 'font-lock-face 'error))
>
> …in batch-mode should be colored red.
>
> I am writing some tests, and this is very annoying to search among a
> bunch of output the message from the failing test, and printing a
> propertized string seems to be the most logical way to make message
> colored. But that just doesn't work. Can we please fix that?

AFAIK, we don't support this right now.  Patches welcome.